- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Public Member Functions | Friends
exception Class Reference

`#include <exception.h>`

Inheritance diagram for exception:

## Public Member Functions
af_err | err ()
| exception ()
| exception (const char *msg)
| exception (const char *file, unsigned line, af_err err)
| exception (const char *msg, const char *file, unsigned line, af_err err)
virtual | ~exception () throw ()
virtual const char * | what () const throw ()

## Friends
std::ostream & | operator<< (std::ostream &s, const exception &e)

## Detailed Description

Examples:
  adaptive_thresholding.cpp, bagging.cpp, binary_thresholding.cpp, black_scholes_options.cpp, brain_segmentation.cpp, cholesky.cpp, conway.cpp, conway_pretty.cpp, deep_belief_net.cpp, edge.cpp, filters.cpp, fractal.cpp, helloworld.cpp, heston_model.cpp, image_demo.cpp, image_editing.cpp, integer.cpp, kmeans.cpp, knn.cpp, logistic_regression.cpp, lu.cpp, matching.cpp, monte_carlo_options.cpp, morphing.cpp, naive_bayes.cpp, neural_network.cpp, optical_flow.cpp, perceptron.cpp, pi.cpp, plot2d.cpp, pyramids.cpp, qr.cpp, rainfall.cpp, rbm.cpp, softmax_regression.cpp, susan.cpp, svd.cpp, and vectorize.cpp.

## Constructor & Destructor Documentation

exception | ( |  | ) |

exception | ( | const char * | msg | ) |

exception | ( | const char * | file,
|  | unsigned | line,
|  | af_err | err
| ) |  |

exception | ( | const char * | msg,
|  | const char * | file,
|  | unsigned | line,
|  | af_err | err
| ) |  |

virtual ~exception | ( |  | ) |
throw | ( |
| ) |  |
| inline virtual

## Member Function Documentation

af_err err | ( |  | ) |
| inline

virtual const char* what | ( |  | ) | const
throw | ( |
| ) |  |
| inline virtual

Examples:
  adaptive_thresholding.cpp, bagging.cpp, binary_thresholding.cpp, black_scholes_options.cpp, brain_segmentation.cpp, cholesky.cpp, conway.cpp, conway_pretty.cpp, deep_belief_net.cpp, edge.cpp, filters.cpp, fractal.cpp, helloworld.cpp, heston_model.cpp, image_demo.cpp, image_editing.cpp, integer.cpp, kmeans.cpp, knn.cpp, logistic_regression.cpp, lu.cpp, matching.cpp, monte_carlo_options.cpp, morphing.cpp, naive_bayes.cpp, neural_network.cpp, optical_flow.cpp, perceptron.cpp, pi.cpp, plot2d.cpp, pyramids.cpp, qr.cpp, rainfall.cpp, rbm.cpp, softmax_regression.cpp, svd.cpp, and vectorize.cpp.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | s,
|  | const exception & | e
| ) |  |
| friend

The documentation for this class was generated from the following file:

- exception.h